Skip to main content
POST
/
v1
/
contacts
Create contacts
curl --request POST \
  --url https://api.prod.getdex.com/v1/contacts/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contacts": [
    {
      "full_name": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "description": "<string>",
      "job_title": "<string>",
      "legacy_location": "<string>",
      "company": "<string>",
      "education": "<string>",
      "starred": true,
      "source": "linkedin_sync",
      "coordinates": {
        "operation": "set",
        "data": {
          "latitude": 123,
          "longitude": 123
        }
      },
      "image_url": "<string>",
      "image_source": "<string>",
      "business_card_url": "<string>",
      "website": "<string>",
      "birthday": "2023-12-25",
      "birthday_year": 2000,
      "frequency": "<string>",
      "last_seen_at": "2023-11-07T05:31:56Z",
      "never_keep_in_touch": true,
      "next_reminder_at": "2023-11-07T05:31:56Z",
      "linkedin": "<string>",
      "twitter": "<string>",
      "facebook": "<string>",
      "instagram": "<string>",
      "telegram": "<string>",
      "tiktok": "<string>",
      "youtube": "<string>",
      "whatsapp_message_link": "<string>",
      "whatsapp_message_snippet": "<string>",
      "whatsapp_last_message_at": "2023-11-07T05:31:56Z",
      "imessage_message_link": "<string>",
      "imessage_message_snippet": "<string>",
      "imessage_last_message_at": "2023-11-07T05:31:56Z",
      "linkedin_message_link": "<string>",
      "linkedin_last_message_snippet": "<string>",
      "linkedin_last_message_at": "2023-11-07T05:31:56Z",
      "linkedin_data": {},
      "instagram_message_link": "<string>",
      "instagram_message_snippet": "<string>",
      "instagram_last_message_at": "2023-11-07T05:31:56Z",
      "gmail_last_interaction_at": "2023-11-07T05:31:56Z",
      "gmail_last_interaction_provider_id": "<string>",
      "gmail_last_interaction_subject": "<string>",
      "gmail_last_interaction_provider": "GOOGLE",
      "gcal_last_interaction_at": "2023-11-07T05:31:56Z",
      "gcal_last_interaction_provider_id": "<string>",
      "gcal_last_interaction_title": "<string>",
      "gcal_last_interaction_provider": "GOOGLE",
      "phone_call_last_interaction_at": "2023-11-07T05:31:56Z",
      "phone_call_interaction_snippet": "<string>",
      "web_search_summary": {},
      "legacy_contact_addresses": [
        {
          "formatted": "<string>"
        }
      ],
      "contact_emails": [
        {
          "email": "<string>",
          "label": "<string>",
          "ranking": 123
        }
      ],
      "contact_phone_numbers": [
        {
          "phone_number": "<string>",
          "country_code": "<string>",
          "phone_number_sanitized": "<string>",
          "label": "<string>",
          "ranking": 123
        }
      ],
      "groups_contacts": [
        {
          "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "tags_contacts": [
        {
          "tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "custom_fields": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "input",
          "text_value": "<string>",
          "custom_field": "<unknown>"
        }
      ],
      "contact_birthdays": {
        "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "last_dismissal_year": 2000
      },
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "related_contacts": [
        {
          "destination": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "source_contact": "<unknown>",
          "destination_contact": "<unknown>"
        }
      ]
    }
  ]
}
'
{
  "error": true,
  "data": {
    "contacts": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "full_name": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "job_title": "<string>",
        "company": "<string>",
        "description": "<string>",
        "legacy_location": "<string>",
        "website": "<string>",
        "image_url": "<string>",
        "starred": true,
        "is_archived": true,
        "birthday": "<string>",
        "linkedin": "<string>",
        "twitter": "<string>",
        "facebook": "<string>",
        "instagram": "<string>",
        "frequency": "<string>",
        "source": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ]
  }
}

Use cases

  • Import contacts from a CSV file or external CRM
  • Create a new contact when someone fills out a form
  • Sync contacts from another system into Dex
You can create multiple contacts in a single request by passing an array. Each contact must have at least a first name or last name.

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Body

application/json
contacts
object[]
required

Response

Successful response

error
boolean
required
data
object
required